For the complete documentation index, see llms.txt. This page is also available as Markdown.

Xml Olarak Yükler

Taslaklara xml olarak fatura yükler.

post
Authorizations
HTTPRequired

API anahtar� giriniz

Body
filestring · binaryOptional
Responses
200

Taslaklara xml olarak fatura yükler.

application/json
UUIDstring · uuidOptional
InvoiceNumberstring · nullableOptional
post/Upload
POST /earchive/Upload HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
{
  "UUID": "123e4567-e89b-12d3-a456-426614174000",
  "InvoiceNumber": "text"
}
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/earchive/Upload", Method.Post);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AlwaysMultipartFormData = true;
request.AddFile("file", "/path/to/file");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/earchive/Upload',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('file'=> new CURLFILE('/path/to/file')),
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated